import { ConfigParams } from './ConfigService';
import { CertificatePair } from '../model';
declare type CertificateParams = ConfigParams;
interface NodeCertificates {
    ssl: CertificatePair;
    node: CertificatePair;
}
export declare class CertificateService {
    private readonly root;
    protected readonly params: CertificateParams;
    constructor(root: string, params: CertificateParams);
    static getCertificates(stdout: string): CertificatePair[];
    run(name: string): Promise<NodeCertificates>;
    private createCertCommands;
}
export {};
